This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021934 - ISE 500: duplicated rows in Kickstart File Preservation List
ISE 500: duplicated rows in Kickstart File Preservation List
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
560
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jan Dobes
Ales Dujicek
:
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-10-22 07:03 EDT by Pavel Studeník
Modified: 2015-01-13 04:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:55:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2013-10-22 07:03:55 EDT
Description of problem:
I created "Kickstart File Preservation List" which contents duplicated rows in one item ("File Preservation List").  
For example:

/var/lib/libvirt/images
/dev/hda1
/var/lib/libvirt/images

And I got Internal Server Error.


Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-46.el6sat.noarch


How reproducible:
always

Steps to Reproduce:
1. create kickstart file preservation in webUI with duplicated rows: 
   Systems -> Kickstart -> File Preservation -> click "create new file preservation list"

Actual results:
Internal Server Error

Expected results:
without ISE 500 

Additional info:
tail /var/log/tomcat6/catalina.out 
# postgresql
... 
org.postgresql.util.PSQLException: ERROR: duplicate key value violates unique constraint "rhn_flmembers_flid_cfnid_uq"
...

#oracle
...
java.sql.SQLException: ORA-00001: unique constraint (RHNSAT.RHN_FLMEMBERS_FLID_CFNID_UQ) violated
...
Comment 1 Jan Dobes 2013-11-19 07:11:22 EST
fixed in spacewalk master git commit:

19e7cf397f91fa5b9bc7e548a85c470fd3ec8c3f
Comment 3 Clifford Perry 2015-01-13 04:55:09 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.